<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__dfu__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_dfu_params_t</compoundname>
    <includes local="no">cy_dfu.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__dfu__params__t_1af8a1cf06e15fae5ed56840b92938e176" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_dfu_params_t::dataBuffer</definition>
        <argsstring />
        <name>dataBuffer</name>
        <briefdescription>
<para>The pointer to a buffer that keeps data to read or write to an NVM. </para>        </briefdescription>
        <detaileddescription>
<para>It is required to be 4-byte aligned. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1104" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1104" />
      </memberdef>
      <memberdef id="structcy__stc__dfu__params__t_1ae93116a573d35a278c7630f68c904c43" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dfu_params_t::dataOffset</definition>
        <argsstring />
        <name>dataOffset</name>
        <briefdescription>
<para>An offset within dataBuffer to put a next chunk of data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1108" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1108" />
      </memberdef>
      <memberdef id="structcy__stc__dfu__params__t_1a0c50ecc808f04106a5a7fbbc1e4022b6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_dfu_params_t::packetBuffer</definition>
        <argsstring />
        <name>packetBuffer</name>
        <briefdescription>
<para>The pointer to a buffer that keeps packets sent and received with the Transport API. </para>        </briefdescription>
        <detaileddescription>
<para>It is required to be 4-byte aligned. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1113" />
      </memberdef>
      <memberdef id="structcy__stc__dfu__params__t_1a65c877d47227fa78b629359fab0b417e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dfu_params_t::timeout</definition>
        <argsstring />
        <name>timeout</name>
        <briefdescription>
<para>The amount of time (in milliseconds) for which the communication interface should wait to receive a new data packet from Host in <ref kindref="member" refid="group__group__dfu__functions_1ga6514a9d999be746edc406fcf764d07f5">Cy_DFU_Continue()</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>A typical value is 20 ms. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1119" />
      </memberdef>
      <memberdef id="structcy__stc__dfu__params__t_1ac1ea5832fe23467ea98d2760f0d87a6b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dfu_params_t::appId</definition>
        <argsstring />
        <name>appId</name>
        <briefdescription>
<para>Set with the Set App Metadata DFU command. </para>        </briefdescription>
        <detaileddescription>
<para>Used to determine an appId of DFU image </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1124" />
      </memberdef>
      <memberdef id="structcy__stc__dfu__params__t_1aa316309fbc14b2984aea6f9545e2c995" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dfu_params_t::appVerified</definition>
        <argsstring />
        <name>appVerified</name>
        <briefdescription>
<para>Internal, flags if Verify Application is called before Exit. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1128" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1128" />
      </memberdef>
      <memberdef id="structcy__stc__dfu__params__t_1af12b92bf3c15d572c0e1746c3742e27d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dfu_params_t::initCtl</definition>
        <argsstring />
        <name>initCtl</name>
        <briefdescription>
<para>The initial value to the ctl parameter for <ref kindref="member" refid="group__group__dfu__functions_1ga9709777e59f6cbdc9ca70c1ca041e414">Cy_DFU_ReadData</ref> and <ref kindref="member" refid="group__group__dfu__functions_1ga9f589c0df780bd29477ab4d73cf4063b">Cy_DFU_WriteData</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>The DFU SDK functions call the Read/Write Data functions like this: <linebreak />
Cy_DFU_ReadData(addr, length, CY_DFU_IOCTL_COMPARE, params). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1136" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1136" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Working parameters for some DFU SDK APIs to be initialized before calling DFU API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1149" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1098" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1099" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__dfu__params__t_1ac1ea5832fe23467ea98d2760f0d87a6b" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>appId</name></member>
      <member prot="public" refid="structcy__stc__dfu__params__t_1aa316309fbc14b2984aea6f9545e2c995" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>appVerified</name></member>
      <member prot="public" refid="structcy__stc__dfu__params__t_1af8a1cf06e15fae5ed56840b92938e176" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>dataBuffer</name></member>
      <member prot="public" refid="structcy__stc__dfu__params__t_1ae93116a573d35a278c7630f68c904c43" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>dataOffset</name></member>
      <member prot="public" refid="structcy__stc__dfu__params__t_1af12b92bf3c15d572c0e1746c3742e27d" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>initCtl</name></member>
      <member prot="public" refid="structcy__stc__dfu__params__t_1a0c50ecc808f04106a5a7fbbc1e4022b6" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>packetBuffer</name></member>
      <member prot="public" refid="structcy__stc__dfu__params__t_1a65c877d47227fa78b629359fab0b417e" virt="non-virtual"><scope>cy_stc_dfu_params_t</scope><name>timeout</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>